Patchwork [V4,2/2] PR bump packages with gdbm in DEPENDS

login
register
mail settings
Submitter Andrei Gherzan
Date April 11, 2012, 3:54 p.m.
Message ID <a9b864635df3ef1e7c3ceeeb05adc491d4e5b97b.1334159446.git.andrei@gherzan.ro>
Download mbox | patch
Permalink /patch/25611/
State New
Headers show

Comments

Andrei Gherzan - April 11, 2012, 3:54 p.m.
This is done because of this change in gdbm:
"gdbm: Package compat libs in gdbm-compat"

Signed-off-by: Andrei Gherzan <andrei@gherzan.ro>
---
 meta/recipes-devtools/perl/perl_5.14.2.bb          |    2 +-
 meta/recipes-devtools/python/python_2.7.2.bb       |    2 +-
 .../pulseaudio/pulseaudio_1.1.bb                   |    2 +-
 meta/recipes-support/apr/apr-util_1.4.1.bb         |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)
Martin Jansa - April 13, 2012, 8:03 a.m.
On Wed, Apr 11, 2012 at 06:54:14PM +0300, Andrei Gherzan wrote:
> This is done because of this change in gdbm:
> "gdbm: Package compat libs in gdbm-compat"
> 
> Signed-off-by: Andrei Gherzan <andrei@gherzan.ro>
> ---
>  meta/recipes-devtools/perl/perl_5.14.2.bb          |    2 +-
>  meta/recipes-devtools/python/python_2.7.2.bb       |    2 +-
>  .../pulseaudio/pulseaudio_1.1.bb                   |    2 +-
>  meta/recipes-support/apr/apr-util_1.4.1.bb         |    2 +-
>  4 files changed, 4 insertions(+), 4 deletions(-)
> 
> diff --git a/meta/recipes-devtools/perl/perl_5.14.2.bb b/meta/recipes-devtools/perl/perl_5.14.2.bb
> index 92ca9b8..8f3ad25 100644
> --- a/meta/recipes-devtools/perl/perl_5.14.2.bb
> +++ b/meta/recipes-devtools/perl/perl_5.14.2.bb
> @@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = "file://Copying;md5=2b4c6ffbcfcbdee469f02565f253d81a \
>  # We need gnugrep (for -I)
>  DEPENDS = "virtual/db grep-native"
>  DEPENDS += "gdbm zlib"
> -PR = "r4"
> +PR = "r5"
>  
>  # 5.10.1 has Module::Build built-in
>  PROVIDES += "libmodule-build-perl"
> diff --git a/meta/recipes-devtools/python/python_2.7.2.bb b/meta/recipes-devtools/python/python_2.7.2.bb
> index a3a2c96..00a5558 100644
> --- a/meta/recipes-devtools/python/python_2.7.2.bb
> +++ b/meta/recipes-devtools/python/python_2.7.2.bb
> @@ -1,6 +1,6 @@
>  require python.inc
>  DEPENDS = "python-native bzip2 db gdbm openssl readline sqlite3 zlib"
> -PR = "${INC_PR}.14"
> +PR = "${INC_PR}.15"

This does not apply

current PR is:
PR = "${INC_PR}.10"
http://git.openembedded.org/openembedded-core/log/meta/recipes-devtools/python/python_2.7.2.bb

so no idea where you got 'PR = "${INC_PR}.14"'

Cheers,

>  
>  DISTRO_SRC_URI ?= "file://sitecustomize.py"
>  DISTRO_SRC_URI_linuxstdbase = ""
> diff --git a/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb b/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb
> index e98a591..fd61149 100644
> --- a/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb
> +++ b/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb
> @@ -1,6 +1,6 @@
>  require pulseaudio.inc
>  
> -PR = "r7"
> +PR = "r8"
>  
>  DEPENDS += "libjson gdbm speex libxml-parser-perl-native"
>  
> diff --git a/meta/recipes-support/apr/apr-util_1.4.1.bb b/meta/recipes-support/apr/apr-util_1.4.1.bb
> index 029cf7e..deb608f 100644
> --- a/meta/recipes-support/apr/apr-util_1.4.1.bb
> +++ b/meta/recipes-support/apr/apr-util_1.4.1.bb
> @@ -9,7 +9,7 @@ LICENSE = "Apache-2.0"
>  LIC_FILES_CHKSUM = "file://LICENSE;md5=519e0a18e03f7c023070568c14b077bb \
>                      file://include/apu_version.h;endline=17;md5=806685a84e71f10c80144c48eb35df42"
>  
> -PR = "r0"
> +PR = "r1"
>  
>  SRC_URI = "${APACHE_MIRROR}/apr/${BPN}-${PV}.tar.gz \
>             file://configfix.patch \
> -- 
> 1.7.5.4
> 
> 
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core
Andrei Gherzan - April 13, 2012, 10:36 a.m.
On Fri, Apr 13, 2012 at 11:03, Martin Jansa <martin.jansa@gmail.com> wrote:

> On Wed, Apr 11, 2012 at 06:54:14PM +0300, Andrei Gherzan wrote:
> > This is done because of this change in gdbm:
> > "gdbm: Package compat libs in gdbm-compat"
> >
> > Signed-off-by: Andrei Gherzan <andrei@gherzan.ro>
> > ---
> >  meta/recipes-devtools/perl/perl_5.14.2.bb          |    2 +-
> >  meta/recipes-devtools/python/python_2.7.2.bb       |    2 +-
> >  .../pulseaudio/pulseaudio_1.1.bb                   |    2 +-
> >  meta/recipes-support/apr/apr-util_1.4.1.bb         |    2 +-
> >  4 files changed, 4 insertions(+), 4 deletions(-)
> >
> > diff --git a/meta/recipes-devtools/perl/perl_5.14.2.bbb/meta/recipes-devtools/perl/
> perl_5.14.2.bb
> > index 92ca9b8..8f3ad25 100644
> > --- a/meta/recipes-devtools/perl/perl_5.14.2.bb
> > +++ b/meta/recipes-devtools/perl/perl_5.14.2.bb
> > @@ -7,7 +7,7 @@ LIC_FILES_CHKSUM =
> "file://Copying;md5=2b4c6ffbcfcbdee469f02565f253d81a \
> >  # We need gnugrep (for -I)
> >  DEPENDS = "virtual/db grep-native"
> >  DEPENDS += "gdbm zlib"
> > -PR = "r4"
> > +PR = "r5"
> >
> >  # 5.10.1 has Module::Build built-in
> >  PROVIDES += "libmodule-build-perl"
> > diff --git a/meta/recipes-devtools/python/python_2.7.2.bbb/meta/recipes-devtools/python/
> python_2.7.2.bb
> > index a3a2c96..00a5558 100644
> > --- a/meta/recipes-devtools/python/python_2.7.2.bb
> > +++ b/meta/recipes-devtools/python/python_2.7.2.bb
> > @@ -1,6 +1,6 @@
> >  require python.inc
> >  DEPENDS = "python-native bzip2 db gdbm openssl readline sqlite3 zlib"
> > -PR = "${INC_PR}.14"
> > +PR = "${INC_PR}.15"
>
> This does not apply
>
> current PR is:
> PR = "${INC_PR}.10"
>
> http://git.openembedded.org/openembedded-core/log/meta/recipes-devtools/python/python_2.7.2.bb
>
> so no idea where you got 'PR = "${INC_PR}.14"'
>
> Cheers,
>
>
Thank you Martin. V5 sent.

@g

Patch

diff --git a/meta/recipes-devtools/perl/perl_5.14.2.bb b/meta/recipes-devtools/perl/perl_5.14.2.bb
index 92ca9b8..8f3ad25 100644
--- a/meta/recipes-devtools/perl/perl_5.14.2.bb
+++ b/meta/recipes-devtools/perl/perl_5.14.2.bb
@@ -7,7 +7,7 @@  LIC_FILES_CHKSUM = "file://Copying;md5=2b4c6ffbcfcbdee469f02565f253d81a \
 # We need gnugrep (for -I)
 DEPENDS = "virtual/db grep-native"
 DEPENDS += "gdbm zlib"
-PR = "r4"
+PR = "r5"
 
 # 5.10.1 has Module::Build built-in
 PROVIDES += "libmodule-build-perl"
diff --git a/meta/recipes-devtools/python/python_2.7.2.bb b/meta/recipes-devtools/python/python_2.7.2.bb
index a3a2c96..00a5558 100644
--- a/meta/recipes-devtools/python/python_2.7.2.bb
+++ b/meta/recipes-devtools/python/python_2.7.2.bb
@@ -1,6 +1,6 @@ 
 require python.inc
 DEPENDS = "python-native bzip2 db gdbm openssl readline sqlite3 zlib"
-PR = "${INC_PR}.14"
+PR = "${INC_PR}.15"
 
 DISTRO_SRC_URI ?= "file://sitecustomize.py"
 DISTRO_SRC_URI_linuxstdbase = ""
diff --git a/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb b/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb
index e98a591..fd61149 100644
--- a/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb
+++ b/meta/recipes-multimedia/pulseaudio/pulseaudio_1.1.bb
@@ -1,6 +1,6 @@ 
 require pulseaudio.inc
 
-PR = "r7"
+PR = "r8"
 
 DEPENDS += "libjson gdbm speex libxml-parser-perl-native"
 
diff --git a/meta/recipes-support/apr/apr-util_1.4.1.bb b/meta/recipes-support/apr/apr-util_1.4.1.bb
index 029cf7e..deb608f 100644
--- a/meta/recipes-support/apr/apr-util_1.4.1.bb
+++ b/meta/recipes-support/apr/apr-util_1.4.1.bb
@@ -9,7 +9,7 @@  LICENSE = "Apache-2.0"
 LIC_FILES_CHKSUM = "file://LICENSE;md5=519e0a18e03f7c023070568c14b077bb \
                     file://include/apu_version.h;endline=17;md5=806685a84e71f10c80144c48eb35df42"
 
-PR = "r0"
+PR = "r1"
 
 SRC_URI = "${APACHE_MIRROR}/apr/${BPN}-${PV}.tar.gz \
            file://configfix.patch \